gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.EntryAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype EntryAccessible = EntryAccessible (ManagedPtr EntryAccessible)
- class (GObject o, IsDescendantOf EntryAccessible o) => IsEntryAccessible o
- toEntryAccessible :: (MonadIO m, IsEntryAccessible o) => o -> m EntryAccessible

# Exported types

newtype EntryAccessible Source #

Memory-managed wrapper type.

Constructors

EntryAccessible (ManagedPtr EntryAccessible) |

#### Instances

Instances details

Eq EntryAccessible Source # |
Instance details Defined in GI.Gtk.Objects.EntryAccessible Methods (==) :: EntryAccessible -> EntryAccessible -> Bool Source # (/=) :: EntryAccessible -> EntryAccessible -> Bool Source #
GObject EntryAccessible Source # |
Instance details Defined in GI.Gtk.Objects.EntryAccessible
ManagedPtrNewtype EntryAccessible Source # |
Instance details Defined in GI.Gtk.Objects.EntryAccessible Methods toManagedPtr :: EntryAccessible -> ManagedPtr EntryAccessible Source #
TypedObject EntryAccessible Source # |
Instance details Defined in GI.Gtk.Objects.EntryAccessible Methods glibType :: IO GType Source #
HasParentTypes EntryAccessible Source # |
Instance details Defined in GI.Gtk.Objects.EntryAccessible
IsGValue (Maybe EntryAccessible) Source # | Convert `EntryAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.EntryAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe EntryAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe EntryAccessible) Source #
type ParentTypes EntryAccessible Source # |
Instance details Defined in GI.Gtk.Objects.EntryAccessible type ParentTypes EntryAccessible = '[WidgetAccessible, Accessible, Object, Object, Action, Component, EditableText, Text]

class (GObject o, IsDescendantOf EntryAccessible o) => IsEntryAccessible o Source #

Type class for types which can be safely cast to `EntryAccessible`, for instance with `toEntryAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf EntryAccessible o) => IsEntryAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.EntryAccessible

toEntryAccessible :: (MonadIO m, IsEntryAccessible o) => o -> m EntryAccessible Source #

Cast to `EntryAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, addSelection, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, copyText, cutText, deleteText, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, insertText, isFloating, notify, notifyByPspec, notifyStateChange, pasteText, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, removeSelection, runDispose, scrollSubstringTo, scrollSubstringToPoint, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getBoundedRanges, getCaretOffset, getCharacterAtOffset, getCharacterCount, getCharacterExtents, getData, getDefaultAttributes, getDescription, getExtents, getHelpText, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMdiZorder, getNAccessibleChildren, getNActions, getNSelections, getName, getObjectLocale, getOffsetAtPoint, getParent, getPosition, getProperty, getQdata, getRangeExtents, getRole, getRunAttributes, getSelection, getSize, getStringAtOffset, getText, getTextAfterOffset, getTextAtOffset, getTextBeforeOffset, getWidget.

#### Setters

setAccessibleId, setCaretOffset, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setRunAttributes, setSelection, setSize, setTextContents, setWidget.